<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
// Copyright Author Dany De Bontridder danydb@aevalys.eu 22/10/23


/**
 * @file
 * @brief answer to an inplace object
 */
/**
 * @var $title : title of the data
 * @var $a_header : associative array col_name => header to display
 * @var $a_data : array of row , row is an array : column => value
 */
?>        
<h2><?= $title ?></h2>
<?php
if (count ($a_data ) == 0 ) {
    echo p(_("Aucun enregistrement"));
    return;
}
?>
<table class="result">
    <tr>
        <?php
        foreach ($a_header as $item => $value) {
            echo th($value);
        }
        ?>
    </tr>
    <?php
    
    foreach ($a_data as $item) {
        echo '<tr>';
        foreach ($a_header as $item_col => $value_col) {
            echo td($item[$item_col]);
        }

        echo '</tr>';
    }
    ?>

</table>
