<?php

/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 22/10/23


/**
 * @file
 * @brief display content of the file for ANL
 */
$a_axis_anl=array('pa_name'=>_("Nom"),'pa_description'=>_("Description"));

$a_account_anl=array(
             'po_name' =>_("Nom")
            , 'po_description'=>_("Description") );

$a_group_anl = array('ga_id'=>_("Nom"),'ga_description'=>"Description");
$a_key_distribution = array("kd_name"=>_("Nom"),"kd_description"=>_("Description"));

/**
 * for pa_id the sequence must be restarted to an higher value to avoid FK 
 * problem with poste_analytique or groupe_analytique
 */
?>
<form method="POST" id="form_import_anl">
    <?php
    echo \HtmlInput::array_to_hidden(['gDossier', 'ac', 'plugin_code'], $_REQUEST);
    echo \HtmlInput::hidden("tab","anl_manage");
    echo \HtmlInput::hidden("sb", "confirm_anl");
    echo \HtmlInput::hidden("file_id", $id);
    echo \HtmlInput::submit("submit",_("Valider"));
    ?>
</form>
<?php
/**
 * @var $this : Analytic
 * @var $aParam (array from JSON COPY_PARAMETER.TEMP_OBJECT.T_JSON)  
 */
$this->display_table(_("Axes"),$a_axis_anl,$aParam['axis_anl']);
$this->display_table(_("Poste Analytique"),$a_account_anl,$aParam['accounting_anl']);
$this->display_table(_("Groupe"),$a_group_anl,$aParam['group_anl']);
$this->display_table(_("Clef"),$a_key_distribution,$aParam['key_distribution']);
?>

<form method="POST" id="form_import_anl_2">
    <?php
    echo \HtmlInput::array_to_hidden(['gDossier', 'ac', 'plugin_code'], $_REQUEST);
    echo \HtmlInput::hidden("tab","anl_manage");
    echo \HtmlInput::hidden("sb", "confirm_anl");
    echo \HtmlInput::hidden("file_id", $id);
    echo \HtmlInput::submit("submit",_("Valider"));
    ?>
</form>